import { RequestComponent } from './other/request/request.component';
import { ExtraPageComponent } from './menu/extra-page/extra-page.component';
import { MachinePageComponent } from './menu/machine-page/machine-page.component';
import { ClassPageComponent } from './menu/class-page/class-page.component';
import { HomeComponent } from './principal/home/home.component';
import { LoginComponent } from './principal/login/login.component';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  { path: 'login', component: LoginComponent },
  { path: 'home', component: HomeComponent },
  { path: 'clases', component: ClassPageComponent },
  { path: 'maquinas', component: MachinePageComponent },
  { path: 'extra', component: ExtraPageComponent },
  { path: 'solicitar-tabla', component: RequestComponent },
  { path: 'solicitar-ayuda', component: RequestComponent },
  { path: 'solicitar-informacion', component: RequestComponent },
  { path: '**', redirectTo: 'home' },
  { path: '', pathMatch: 'full', redirectTo: 'home' }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
