import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { DataService } from './services/data.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {

  session;

  constructor(public dataService: DataService, private router: Router) {
    this.session = dataService.session;
  }

  ngOnInit(): void {
    this.redirect();
  }

  redirect() {
    if (this.dataService.session.guest || this.dataService.session.logged) {
      this.router.navigateByUrl("/home");
    } else {
      this.router.navigateByUrl("/login");
    }
  }

  goTo(url) {
    if(url == '/login') {
      this.dataService.session.guest = false;
      this.dataService.session.logged = false;
      this.dataService.session.name = "";
      this.dataService.session.userUid = "";
    }
    this.router.navigateByUrl(url);
  }

  logout() {
    localStorage.removeItem('mind-muscle-e');
    localStorage.removeItem('mind-muscle-p');
    this.goTo("/login")
  }
}
