import { Component, Inject, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { MatDialog, MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';

@Component({
  selector: 'app-machine-option',
  templateUrl: './machine-option.component.html',
  styleUrls: ['./machine-option.component.css']
})
export class MachineOptionComponent implements OnInit {

  @Input() machines: any[];
  @Input() edit: boolean;
  @Output() selected: EventEmitter<any> = new EventEmitter<any>(null);

  constructor(public dialog: MatDialog) { }

  ngOnInit(): void {
  }

  public selectMachine(machine: any) {
    this.selected.emit(machine);
  }

  public openDialog(machine: any) {
    if (this.edit) {
      machine.selected = true;
      const dialogRef = this.dialog.open(Popup, {
        width: '250px',
        data: machine,
      });

      dialogRef.afterClosed().subscribe(result => {
        if (machine.comments && machine.repetitions && machine.weight) {
          if (!machine.data) {
            machine.data = [];
          }
          machine.data.push({
            comments: machine.comments,
            repetitions: machine.repetitions,
            weight: machine.weight
          });
          delete machine.comments;
          delete machine.repetitions;
          delete machine.weight;
        }
      });
    }
  }

}

@Component({
  selector: 'popup',
  templateUrl: './popup.html',
})
export class Popup {
  constructor(
    public dialogRef: MatDialogRef<Popup>,
    @Inject(MAT_DIALOG_DATA) public machine: any,
  ) { }

  cancel(): void {
    this.dialogRef.close();
  }
}
